diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-form-advanced.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-form-advanced.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-form-advanced.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-form-advanced.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 15,25 ****
  if ( wp_is_mobile() )
  	wp_enqueue_script( 'jquery-touch-punch' );
  
- if ( post_type_supports($post_type, 'editor') || post_type_supports($post_type, 'thumbnail') ) {
- 	add_thickbox();
- 	wp_enqueue_script('media-upload');
- }
- 
  /**
   * Post ID global
   * @name $post_ID
--- 15,20 ----
***************
*** 29,34 ****
--- 24,34 ----
  $user_ID = isset($user_ID) ? (int) $user_ID : 0;
  $action = isset($action) ? $action : '';
  
+ if ( post_type_supports($post_type, 'editor') || post_type_supports($post_type, 'thumbnail') ) {
+ 	add_thickbox();
+ 	wp_enqueue_media( array( 'post' => $post_ID ) );
+ }
+ 
  $messages = array();
  $messages['post'] = array(
  	 0 => '', // Unused. Messages start at index 1.
***************
*** 59,64 ****
--- 59,65 ----
  	 9 => sprintf( __('Page scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview page</a>'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
  	10 => sprintf( __('Page draft updated. <a target="_blank" href="%s">Preview page</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
  );
+ $messages['attachment'] = array_fill( 1, 10, __( 'Media attachment updated.' ) ); // Hack, for now.
  
  $messages = apply_filters( 'post_updated_messages', $messages );
  
***************
*** 83,89 ****
  }
  
  $form_action = 'editpost';
! $nonce_action = 'update-' . $post_type . '_' . $post_ID;
  $form_extra .= "<input type='hidden' id='post_ID' name='post_ID' value='" . esc_attr($post_ID) . "' />";
  
  // Detect if there exists an autosave newer than the post and if that autosave is different than the post
--- 84,90 ----
  }
  
  $form_action = 'editpost';
! $nonce_action = 'update-post_' . $post_ID;
  $form_extra .= "<input type='hidden' id='post_ID' name='post_ID' value='" . esc_attr($post_ID) . "' />";
  
  // Detect if there exists an autosave newer than the post and if that autosave is different than the post
***************
*** 102,114 ****
  // All meta boxes should be defined and added before the first do_meta_boxes() call (or potentially during the do_meta_boxes action).
  require_once('./includes/meta-boxes.php');
  
! add_meta_box('submitdiv', __('Publish'), 'post_submit_meta_box', null, 'side', 'core');
  
  if ( current_theme_supports( 'post-formats' ) && post_type_supports( $post_type, 'post-formats' ) )
  	add_meta_box( 'formatdiv', _x( 'Format', 'post format' ), 'post_format_meta_box', null, 'side', 'core' );
  
  // all taxonomies
! foreach ( get_object_taxonomies($post_type) as $tax_name ) {
  	$taxonomy = get_taxonomy($tax_name);
  	if ( ! $taxonomy->show_ui )
  		continue;
--- 103,122 ----
  // All meta boxes should be defined and added before the first do_meta_boxes() call (or potentially during the do_meta_boxes action).
  require_once('./includes/meta-boxes.php');
  
! if ( 'attachment' == $post_type ) {
! 	wp_enqueue_script( 'image-edit' );
! 	wp_enqueue_style( 'imgareaselect' );
! 	add_meta_box( 'submitdiv', __('Save'), 'attachment_submit_meta_box', null, 'side', 'core' );
! 	add_action( 'edit_form_after_title', 'edit_form_image_editor' );
! } else {
! 	add_meta_box( 'submitdiv', __( 'Publish' ), 'post_submit_meta_box', null, 'side', 'core' );
! }
  
  if ( current_theme_supports( 'post-formats' ) && post_type_supports( $post_type, 'post-formats' ) )
  	add_meta_box( 'formatdiv', _x( 'Format', 'post format' ), 'post_format_meta_box', null, 'side', 'core' );
  
  // all taxonomies
! foreach ( get_object_taxonomies( $post ) as $tax_name ) {
  	$taxonomy = get_taxonomy($tax_name);
  	if ( ! $taxonomy->show_ui )
  		continue;
***************
*** 140,149 ****
  if ( post_type_supports($post_type, 'comments') )
  	add_meta_box('commentstatusdiv', __('Discussion'), 'post_comment_status_meta_box', null, 'normal', 'core');
  
! if ( ('publish' == $post->post_status || 'private' == $post->post_status) && post_type_supports($post_type, 'comments') )
  	add_meta_box('commentsdiv', __('Comments'), 'post_comment_meta_box', null, 'normal', 'core');
  
! if ( !( 'pending' == $post->post_status && !current_user_can( $post_type_object->cap->publish_posts ) ) )
  	add_meta_box('slugdiv', __('Slug'), 'post_slug_meta_box', null, 'normal', 'core');
  
  if ( post_type_supports($post_type, 'author') ) {
--- 148,157 ----
  if ( post_type_supports($post_type, 'comments') )
  	add_meta_box('commentstatusdiv', __('Discussion'), 'post_comment_status_meta_box', null, 'normal', 'core');
  
! if ( ( 'publish' == get_post_status( $post ) || 'private' == get_post_status( $post ) ) && post_type_supports($post_type, 'comments') )
  	add_meta_box('commentsdiv', __('Comments'), 'post_comment_meta_box', null, 'normal', 'core');
  
! if ( ! ( 'pending' == get_post_status( $post ) && ! current_user_can( $post_type_object->cap->publish_posts ) ) )
  	add_meta_box('slugdiv', __('Slug'), 'post_slug_meta_box', null, 'normal', 'core');
  
  if ( post_type_supports($post_type, 'author') ) {
***************
*** 164,170 ****
  add_screen_option('layout_columns', array('max' => 2, 'default' => 2) );
  
  if ( 'post' == $post_type ) {
! 	$customize_display = '<p>' . __('The title field and the big Post Editing Area are fixed in place, but you can reposition all the other boxes using drag and drop, and can minimize or expand them by clicking the title bar of each box. Use the Screen Options tab to unhide more boxes (Excerpt, Send Trackbacks, Custom Fields, Discussion, Slug, Author) or to choose a 1- or 2-column layout for this screen.') . '</p>';
  
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'customize-display',
--- 172,178 ----
  add_screen_option('layout_columns', array('max' => 2, 'default' => 2) );
  
  if ( 'post' == $post_type ) {
! 	$customize_display = '<p>' . __('The title field and the big Post Editing Area are fixed in place, but you can reposition all the other boxes using drag and drop. You can also minimize or expand them by clicking the title bar of each box. Use the Screen Options tab to unhide more boxes (Excerpt, Send Trackbacks, Custom Fields, Discussion, Slug, Author) or to choose a 1- or 2-column layout for this screen.') . '</p>';
  
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'customize-display',
***************
*** 173,179 ****
  	) );
  
  	$title_and_editor  = '<p>' . __('<strong>Title</strong> - Enter a title for your post. After you enter a title, you&#8217;ll see the permalink below, which you can edit.') . '</p>';
! 	$title_and_editor .= '<p>' . __('<strong>Post editor</strong> - Enter the text for your post. There are two modes of editing: Visual and HTML. Choose the mode by clicking on the appropriate tab. Visual mode gives you a WYSIWYG editor. Click the last icon in the row to get a second row of controls. The HTML mode allows you to enter raw HTML along with your post text. You can insert media files by clicking the icons above the post editor and following the directions. You can go to the distraction-free writing screen via the Fullscreen icon in Visual mode (second to last in the top row) or the Fullscreen button in HTML mode (last in the row). Once there, you can make buttons visible by hovering over the top area. Exit Fullscreen back to the regular post editor.') . '</p>';
  
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'title-post-editor',
--- 181,187 ----
  	) );
  
  	$title_and_editor  = '<p>' . __('<strong>Title</strong> - Enter a title for your post. After you enter a title, you&#8217;ll see the permalink below, which you can edit.') . '</p>';
! 	$title_and_editor .= '<p>' . __('<strong>Post editor</strong> - Enter the text for your post. There are two modes of editing: Visual and Text. Choose the mode by clicking on the appropriate tab. Visual mode gives you a WYSIWYG editor. Click the last icon in the row to get a second row of controls. The Text mode allows you to enter HTML along with your post text. Line breaks will be converted to paragraphs automatically. You can insert media files by clicking the icons above the post editor and following the directions. You can go to the distraction-free writing screen via the Fullscreen icon in Visual mode (second to last in the top row) or the Fullscreen button in Text mode (last in the row). Once there, you can make buttons visible by hovering over the top area. Exit Fullscreen back to the regular post editor.') . '</p>';
  
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'title-post-editor',
***************
*** 181,199 ****
  		'content' => $title_and_editor,
  	) );
  
! 	$publish_box = '<p>' . __('<strong>Publish</strong> - You can set the terms of publishing your post in the Publish box. For Status, Visibility, and Publish (immediately), click on the Edit link to reveal more options. Visibility includes options for password-protecting a post or making it stay at the top of your blog indefinitely (sticky). Publish (immediately) allows you to set a future or past date and time, so you can schedule a post to be published in the future or backdate a post.') . '</p>';
  
  	if ( current_theme_supports( 'post-formats' ) && post_type_supports( 'post', 'post-formats' ) ) {
! 		$publish_box .= '<p>' . __( '<strong>Post Format</strong> - This designates how your theme will display a specific post. For example, you could have a <em>standard</em> blog post with a title and paragraphs, or a short <em>aside</em> that omits the title and contains a short text blurb. Please refer to the Codex for <a href="http://codex.wordpress.org/Post_Formats#Supported_Formats">descriptions of each post format</a>. Your theme could enable all or some of 10 possible formats.' ) . '</p>';
  	}
  
  	if ( current_theme_supports( 'post-thumbnails' ) && post_type_supports( 'post', 'thumbnail' ) ) {
! 		$publish_box .= '<p>' . __('<strong>Featured Image</strong> - This allows you to associate an image with your post without inserting it. This is usually useful only if your theme makes use of the featured image as a post thumbnail on the home page, a custom header, etc.') . '</p>';
  	}
  
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'publish-box',
! 		'title'   => __('Publish Box'),
  		'content' => $publish_box,
  	) );
  
--- 189,262 ----
  		'content' => $title_and_editor,
  	) );
  
! 	get_current_screen()->set_help_sidebar(
! 			'<p>' . sprintf(__('You can also create posts with the <a href="%s">Press This bookmarklet</a>.'), 'options-writing.php') . '</p>' .
! 			'<p><strong>' . __('For more information:') . '</strong></p>' .
! 			'<p>' . __('<a href="http://codex.wordpress.org/Posts_Add_New_Screen" target="_blank">Documentation on Writing and Editing Posts</a>') . '</p>' .
! 			'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
! 	);
! } elseif ( 'page' == $post_type ) {
! 	$about_pages = '<p>' . __('Pages are similar to Posts in that they have a title, body text, and associated metadata, but they are different in that they are not part of the chronological blog stream, kind of like permanent posts. Pages are not categorized or tagged, but can have a hierarchy. You can nest Pages under other Pages by making one the &#8220;Parent&#8221; of the other, creating a group of Pages.') . '</p>' .
! 		'<p>' . __('Creating a Page is very similar to creating a Post, and the screens can be customized in the same way using drag and drop, the Screen Options tab, and expanding/collapsing boxes as you choose. This screen also has the distraction-free writing space, available in both the Visual and Text modes via the Fullscreen buttons. The Page editor mostly works the same as the Post editor, but there are some Page-specific features in the Page Attributes box:') . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'about-pages',
! 		'title'   => __('About Pages'),
! 		'content' => $about_pages,
! 	) );
! 
! 	get_current_screen()->set_help_sidebar(
! 			'<p><strong>' . __('For more information:') . '</strong></p>' .
! 			'<p>' . __('<a href="http://codex.wordpress.org/Pages_Add_New_Screen" target="_blank">Documentation on Adding New Pages</a>') . '</p>' .
! 			'<p>' . __('<a href="http://codex.wordpress.org/Pages_Screen#Editing_Individual_Pages" target="_blank">Documentation on Editing Pages</a>') . '</p>' .
! 			'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
! 	);
! } elseif ( 'attachment' == $post_type ) {
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __('Overview'),
! 		'content' =>
! 			'<p>' . __('This screen allows you to edit four fields for metadata in a file within the media library.') . '</p>' .
! 			'<p>' . __('For images only, you can click on Edit Image under the thumbnail to expand out an inline image editor with icons for cropping, rotating, or flipping the image as well as for undoing and redoing. The boxes on the right give you more options for scaling the image, for cropping it, and for cropping the thumbnail in a different way than you crop the original image. You can click on Help in those boxes to get more information.') . '</p>' .
! 			'<p>' . __('Note that you crop the image by clicking on it (the Crop icon is already selected) and dragging the cropping frame to select the desired part. Then click Save to retain the cropping.') . '</p>' .
! 			'<p>' . __('Remember to click Update Media to save metadata entered or changed.') . '</p>'
! 	) );
! 
! 	get_current_screen()->set_help_sidebar(
! 	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Media_Add_New_Screen#Edit_Media" target="_blank">Documentation on Edit Media</a>') . '</p>' .
! 	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
! 	);
! }
! 
! if ( 'post' == $post_type || 'page' == $post_type ) {
! 	$inserting_media = '<p>' . __( 'You can upload and insert media (images, audio, documents, etc.) by clicking the Add Media button. You can select from the images and files already uploaded to the Media Library, or upload new media to add to your page or post. To create an image gallery, select the images to add and click the &#8220;Create a new gallery&#8221; button.' ) . '</p>';
! 	$inserting_media .= '<p>' . __( 'You can also embed media from many popular websites including Twitter, YouTube, Flickr and others by pasting the media URL on its own line into the content of your post/page. Please refer to the Codex to <a href="http://codex.wordpress.org/Embeds">learn more about embeds</a>.' ) . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'		=> 'inserting-media',
! 		'title'		=> __( 'Inserting Media' ),
! 		'content' 	=> $inserting_media,
! 	) );
! }
! 
! if ( 'post' == $post_type ) {
! 	$publish_box = '<p>' . __('Several boxes on this screen contain settings for how your content will be published, including:') . '</p>';
! 	$publish_box .= '<ul><li>' . __('<strong>Publish</strong> - You can set the terms of publishing your post in the Publish box. For Status, Visibility, and Publish (immediately), click on the Edit link to reveal more options. Visibility includes options for password-protecting a post or making it stay at the top of your blog indefinitely (sticky). Publish (immediately) allows you to set a future or past date and time, so you can schedule a post to be published in the future or backdate a post.') . '</li>';
  
  	if ( current_theme_supports( 'post-formats' ) && post_type_supports( 'post', 'post-formats' ) ) {
! 		$publish_box .= '<li>' . __( '<strong>Format</strong> - Post Formats designate how your theme will display a specific post. For example, you could have a <em>standard</em> blog post with a title and paragraphs, or a short <em>aside</em> that omits the title and contains a short text blurb. Please refer to the Codex for <a href="http://codex.wordpress.org/Post_Formats#Supported_Formats">descriptions of each post format</a>. Your theme could enable all or some of 10 possible formats.' ) . '</li>';
  	}
  
  	if ( current_theme_supports( 'post-thumbnails' ) && post_type_supports( 'post', 'thumbnail' ) ) {
! 		$publish_box .= '<li>' . __('<strong>Featured Image</strong> - This allows you to associate an image with your post without inserting it. This is usually useful only if your theme makes use of the featured image as a post thumbnail on the home page, a custom header, etc.') . '</li>';
  	}
  
+ 	$publish_box .= '</ul>';
+ 
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'publish-box',
! 		'title'   => __('Publish Settings'),
  		'content' => $publish_box,
  	) );
  
***************
*** 205,227 ****
  		'title'   => __('Discussion Settings'),
  		'content' => $discussion_settings,
  	) );
- 
- 	get_current_screen()->set_help_sidebar(
- 			'<p>' . sprintf(__('You can also create posts with the <a href="%s">Press This bookmarklet</a>.'), 'options-writing.php') . '</p>' .
- 			'<p><strong>' . __('For more information:') . '</strong></p>' .
- 			'<p>' . __('<a href="http://codex.wordpress.org/Posts_Add_New_Screen" target="_blank">Documentation on Writing and Editing Posts</a>') . '</p>' .
- 			'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
- 	);
  } elseif ( 'page' == $post_type ) {
- 	$about_pages = '<p>' . __('Pages are similar to Posts in that they have a title, body text, and associated metadata, but they are different in that they are not part of the chronological blog stream, kind of like permanent posts. Pages are not categorized or tagged, but can have a hierarchy. You can nest Pages under other Pages by making one the &#8220;Parent&#8221; of the other, creating a group of Pages.') . '</p>' .
- 		'<p>' . __('Creating a Page is very similar to creating a Post, and the screens can be customized in the same way using drag and drop, the Screen Options tab, and expanding/collapsing boxes as you choose. This screen also has the distraction-free writing space, available in both the Visual and HTML modes via the Fullscreen buttons. The Page editor mostly works the same as the Post editor, but there are some Page-specific features in the Page Attributes box:') . '</p>';
- 
- 	get_current_screen()->add_help_tab( array(
- 		'id'      => 'about-pages',
- 		'title'   => __('About Pages'),
- 		'content' => $about_pages,
- 	) );
- 
  	$page_attributes = '<p>' . __('<strong>Parent</strong> - You can arrange your pages in hierarchies. For example, you could have an &#8220;About&#8221; page that has &#8220;Life Story&#8221; and &#8220;My Dog&#8221; pages under it. There are no limits to how many levels you can nest pages.') . '</p>' .
  		'<p>' . __('<strong>Template</strong> - Some themes have custom templates you can use for certain pages that might have additional features or custom layouts. If so, you&#8217;ll see them in this dropdown menu.') . '</p>' .
  		'<p>' . __('<strong>Order</strong> - Pages are usually ordered alphabetically, but you can choose your own order by entering a number (1 for first, etc.) in this field.') . '</p>';
--- 268,274 ----
***************
*** 231,243 ****
  		'title' => __('Page Attributes'),
  		'content' => $page_attributes,
  	) );
- 
- 	get_current_screen()->set_help_sidebar(
- 			'<p><strong>' . __('For more information:') . '</strong></p>' .
- 			'<p>' . __('<a href="http://codex.wordpress.org/Pages_Add_New_Screen" target="_blank">Documentation on Adding New Pages</a>') . '</p>' .
- 			'<p>' . __('<a href="http://codex.wordpress.org/Pages_Screen#Editing_Individual_Pages" target="_blank">Documentation on Editing Pages</a>') . '</p>' .
- 			'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
- 	);
  }
  
  require_once('./admin-header.php');
--- 278,283 ----
***************
*** 245,251 ****
  
  <div class="wrap">
  <?php screen_icon(); ?>
! <h2><?php echo esc_html( $title ); ?><?php if ( isset( $post_new_file ) ) : ?> <a href="<?php echo esc_url( $post_new_file ) ?>" class="add-new-h2"><?php echo esc_html($post_type_object->labels->add_new); ?></a><?php endif; ?></h2>
  <?php if ( $notice ) : ?>
  <div id="notice" class="error"><p><?php echo $notice ?></p></div>
  <?php endif; ?>
--- 285,295 ----
  
  <div class="wrap">
  <?php screen_icon(); ?>
! <h2><?php
! echo esc_html( $title );
! if ( isset( $post_new_file ) && current_user_can( $post_type_object->cap->create_posts ) )
! 	echo ' <a href="' . esc_url( $post_new_file ) . '" class="add-new-h2">' . esc_html( $post_type_object->labels->add_new ) . '</a>';
! ?></h2>
  <?php if ( $notice ) : ?>
  <div id="notice" class="error"><p><?php echo $notice ?></p></div>
  <?php endif; ?>
***************
*** 265,271 ****
  <input type="hidden" id="active_post_lock" value="<?php echo esc_attr( implode( ':', $active_post_lock ) ); ?>" />
  <?php
  }
! if ( 'draft' != $post->post_status )
  	wp_original_referer_field(true, 'previous');
  
  echo $form_extra;
--- 309,315 ----
  <input type="hidden" id="active_post_lock" value="<?php echo esc_attr( implode( ':', $active_post_lock ) ); ?>" />
  <?php
  }
! if ( 'draft' != get_post_status( $post ) )
  	wp_original_referer_field(true, 'previous');
  
  echo $form_extra;
***************
*** 282,301 ****
  <?php if ( post_type_supports($post_type, 'title') ) { ?>
  <div id="titlediv">
  <div id="titlewrap">
! 	<label class="hide-if-no-js" style="visibility:hidden" id="title-prompt-text" for="title"><?php echo apply_filters( 'enter_title_here', __( 'Enter title here' ), $post ); ?></label>
! 	<input type="text" name="post_title" size="30" tabindex="1" value="<?php echo esc_attr( htmlspecialchars( $post->post_title ) ); ?>" id="title" autocomplete="off" />
  </div>
  <div class="inside">
  <?php
  $sample_permalink_html = $post_type_object->public ? get_sample_permalink_html($post->ID) : '';
  $shortlink = wp_get_shortlink($post->ID, 'post');
  if ( !empty($shortlink) )
!     $sample_permalink_html .= '<input id="shortlink" type="hidden" value="' . esc_attr($shortlink) . '" /><a href="#" class="button" onclick="prompt(&#39;URL:&#39;, jQuery(\'#shortlink\').val()); return false;">' . __('Get Shortlink') . '</a>';
  
! if ( $post_type_object->public && ! ( 'pending' == $post->post_status && !current_user_can( $post_type_object->cap->publish_posts ) ) ) { ?>
! 	<div id="edit-slug-box">
  	<?php
! 		if ( ! empty($post->ID) && ! empty($sample_permalink_html) && 'auto-draft' != $post->post_status )
  			echo $sample_permalink_html;
  	?>
  	</div>
--- 326,345 ----
  <?php if ( post_type_supports($post_type, 'title') ) { ?>
  <div id="titlediv">
  <div id="titlewrap">
! 	<label class="screen-reader-text" id="title-prompt-text" for="title"><?php echo apply_filters( 'enter_title_here', __( 'Enter title here' ), $post ); ?></label>
! 	<input type="text" name="post_title" size="30" value="<?php echo esc_attr( htmlspecialchars( $post->post_title ) ); ?>" id="title" autocomplete="off" />
  </div>
  <div class="inside">
  <?php
  $sample_permalink_html = $post_type_object->public ? get_sample_permalink_html($post->ID) : '';
  $shortlink = wp_get_shortlink($post->ID, 'post');
  if ( !empty($shortlink) )
!     $sample_permalink_html .= '<input id="shortlink" type="hidden" value="' . esc_attr($shortlink) . '" /><a href="#" class="button button-small" onclick="prompt(&#39;URL:&#39;, jQuery(\'#shortlink\').val()); return false;">' . __('Get Shortlink') . '</a>';
  
! if ( $post_type_object->public && ! ( 'pending' == get_post_status( $post ) && !current_user_can( $post_type_object->cap->publish_posts ) ) ) { ?>
! 	<div id="edit-slug-box" class="hide-if-no-js">
  	<?php
! 		if ( $sample_permalink_html && 'auto-draft' != $post->post_status )
  			echo $sample_permalink_html;
  	?>
  	</div>
***************
*** 306,318 ****
  <?php
  wp_nonce_field( 'samplepermalink', 'samplepermalinknonce', false );
  ?>
! </div>
! <?php } ?>
  
! <?php if ( post_type_supports($post_type, 'editor') ) { ?>
  <div id="postdivrich" class="postarea">
  
! <?php wp_editor($post->post_content, 'content', array('dfw' => true, 'tabindex' => 1) ); ?>
  
  <table id="post-status-info" cellspacing="0"><tbody><tr>
  	<td id="wp-word-count"><?php printf( __( 'Word count: %s' ), '<span class="word-count">0</span>' ); ?></td>
--- 350,366 ----
  <?php
  wp_nonce_field( 'samplepermalink', 'samplepermalinknonce', false );
  ?>
! </div><!-- /titlediv -->
! <?php
! }
! 
! do_action( 'edit_form_after_title' );
  
! if ( post_type_supports($post_type, 'editor') ) {
! ?>
  <div id="postdivrich" class="postarea">
  
! <?php wp_editor($post->post_content, 'content', array('dfw' => true, 'tabfocus_elements' => 'sample-permalink,post-preview', 'editor_height' => 360) ); ?>
  
  <table id="post-status-info" cellspacing="0"><tbody><tr>
  	<td id="wp-word-count"><?php printf( __( 'Word count: %s' ), '<span class="word-count">0</span>' ); ?></td>
***************
*** 334,339 ****
--- 382,389 ----
  
  </div>
  <?php } ?>
+ 
+ <?php do_action( 'edit_form_after_editor' ); ?>
  </div><!-- /post-body-content -->
  
  <div id="postbox-container-1" class="postbox-container">
***************
*** 378,384 ****
  	wp_comment_reply();
  ?>
  
! <?php if ((isset($post->post_title) && '' == $post->post_title) || (isset($_GET['message']) && 2 > $_GET['message'])) : ?>
  <script type="text/javascript">
  try{document.post.title.focus();}catch(e){}
  </script>
--- 428,434 ----
  	wp_comment_reply();
  ?>
  
! <?php if ( (isset($post->post_title) && '' == $post->post_title) || (isset($_GET['message']) && 2 > $_GET['message']) ) : ?>
  <script type="text/javascript">
  try{document.post.title.focus();}catch(e){}
  </script>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-form-comment.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-form-comment.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/edit-form-comment.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/edit-form-comment.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 31,37 ****
  <tbody>
  <tr valign="top">
  	<td class="first"><?php _e( 'Name:' ); ?></td>
! 	<td><input type="text" name="newcomment_author" size="30" value="<?php echo esc_attr( $comment->comment_author ); ?>" tabindex="1" id="name" /></td>
  </tr>
  <tr valign="top">
  	<td class="first">
--- 31,37 ----
  <tbody>
  <tr valign="top">
  	<td class="first"><?php _e( 'Name:' ); ?></td>
! 	<td><input type="text" name="newcomment_author" size="30" value="<?php echo esc_attr( $comment->comment_author ); ?>" id="name" /></td>
  </tr>
  <tr valign="top">
  	<td class="first">
***************
*** 42,48 ****
  			_e( 'E-mail:' );
  		}
  ?></td>
! 	<td><input type="text" name="newcomment_author_email" size="30" value="<?php echo $comment->comment_author_email; ?>" tabindex="2" id="email" /></td>
  </tr>
  <tr valign="top">
  	<td class="first">
--- 42,48 ----
  			_e( 'E-mail:' );
  		}
  ?></td>
! 	<td><input type="text" name="newcomment_author_email" size="30" value="<?php echo $comment->comment_author_email; ?>" id="email" /></td>
  </tr>
  <tr valign="top">
  	<td class="first">
***************
*** 53,59 ****
  		} else {
  			_e( 'URL:' );
  		} ?></td>
! 	<td><input type="text" id="newcomment_author_url" name="newcomment_author_url" size="30" class="code" value="<?php echo esc_attr($comment->comment_author_url); ?>" tabindex="3" /></td>
  </tr>
  </tbody>
  </table>
--- 53,59 ----
  		} else {
  			_e( 'URL:' );
  		} ?></td>
! 	<td><input type="text" id="newcomment_author_url" name="newcomment_author_url" size="30" class="code" value="<?php echo esc_attr($comment->comment_author_url); ?>" /></td>
  </tr>
  </tbody>
  </table>
***************
*** 98,105 ****
  $stamp = __('Submitted on: <b>%1$s</b>');
  $date = date_i18n( $datef, strtotime( $comment->comment_date ) );
  ?>
! <span id="timestamp"><?php printf($stamp, $date); ?></span>&nbsp;<a href="#edit_timestamp" class="edit-timestamp hide-if-no-js" tabindex='4'><?php _e('Edit') ?></a>
! <div id='timestampdiv' class='hide-if-js'><?php touch_time(('editcomment' == $action), 0, 5); ?></div>
  </div>
  </div> <!-- misc actions -->
  <div class="clear"></div>
--- 98,105 ----
  $stamp = __('Submitted on: <b>%1$s</b>');
  $date = date_i18n( $datef, strtotime( $comment->comment_date ) );
  ?>
! <span id="timestamp"><?php printf($stamp, $date); ?></span>&nbsp;<a href="#edit_timestamp" class="edit-timestamp hide-if-no-js"><?php _e('Edit') ?></a>
! <div id='timestampdiv' class='hide-if-js'><?php touch_time(('editcomment' == $action), 0); ?></div>
  </div>
  </div> <!-- misc actions -->
  <div class="clear"></div>
***************
*** 110,116 ****
  <?php echo "<a class='submitdelete deletion' href='" . wp_nonce_url("comment.php?action=" . ( !EMPTY_TRASH_DAYS ? 'deletecomment' : 'trashcomment' ) . "&amp;c=$comment->comment_ID&amp;_wp_original_http_referer=" . urlencode(wp_get_referer()), 'delete-comment_' . $comment->comment_ID) . "'>" . ( !EMPTY_TRASH_DAYS ? __('Delete Permanently') : __('Move to Trash') ) . "</a>\n"; ?>
  </div>
  <div id="publishing-action">
! <?php submit_button( __( 'Update' ), 'primary', 'save', false, array( 'tabindex' => '4' ) ); ?>
  </div>
  <div class="clear"></div>
  </div>
--- 110,116 ----
  <?php echo "<a class='submitdelete deletion' href='" . wp_nonce_url("comment.php?action=" . ( !EMPTY_TRASH_DAYS ? 'deletecomment' : 'trashcomment' ) . "&amp;c=$comment->comment_ID&amp;_wp_original_http_referer=" . urlencode(wp_get_referer()), 'delete-comment_' . $comment->comment_ID) . "'>" . ( !EMPTY_TRASH_DAYS ? __('Delete Permanently') : __('Move to Trash') ) . "</a>\n"; ?>
  </div>
  <div id="publishing-action">
! <?php submit_button( __( 'Update' ), 'primary', 'save', false ); ?>
  </div>
  <div class="clear"></div>
  </div>
